import{s as Ie,n as Ee,o as Pe}from"../chunks/scheduler.b108d059.js";import{S as Ze,i as je,g as l,s as n,u as N,A as He,h as a,f as t,c as d,j as c,v as B,y as m,k as r,o as f,a as s,w as S,d as U,t as A,x as R}from"../chunks/index.a9288bc5.js";import{I as We}from"../chunks/IconCopyLink.9df037eb.js";import{C as fe}from"../chunks/CodeBlock.e5258ef1.js";function Le(ue){let i,D,Z,F,w,G,p,u,j,T,he,E,ve="env",z,y,we="Module used to configure Transformers.js.",Y,J,Te="<strong>Example:</strong> Disable remote models.",q,b,O,x,ye="<strong>Example:</strong> Set local model path.",Q,g,K,$,Je="<strong>Example:</strong> Set cache directory.",V,C,X,ee,te,_,oe,h,v,H,k,me,P,be="<code>env.env</code>",se,M,xe="Global variable used to control execution. This provides users a simple way to configure Transformers.js.",le,W,ge='<strong>Kind</strong>: static constant of <a href="#module_env"><code>env</code></a><br/> <strong>Properties</strong>',ae,I,$e=`<thead><tr><th>Name</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>backends</td><td><code>Object</code></td><td><p>Expose environment variables of different backends,
allowing users to set these variables if they want to.</p></td> </tr><tr><td>__dirname</td><td><code>string</code></td><td><p>Directory name of module. Useful for resolving local paths.</p></td> </tr><tr><td>version</td><td><code>string</code></td><td><p>This version of Transformers.js.</p></td> </tr><tr><td>allowRemoteModels</td><td><code>boolean</code></td><td><p>Whether to allow loading of remote files, defaults to <code>true</code>.
If set to <code>false</code>, it will have the same effect as setting <code>local_files_only=true</code> when loading pipelines, models, tokenizers, processors, etc.</p></td> </tr><tr><td>remoteHost</td><td><code>string</code></td><td><p>Host URL to load models from. Defaults to the Hugging Face Hub.</p></td> </tr><tr><td>remotePathTemplate</td><td><code>string</code></td><td><p>Path template to fill in and append to <code>remoteHost</code> when loading models.</p></td> </tr><tr><td>allowLocalModels</td><td><code>boolean</code></td><td><p>Whether to allow loading of local files, defaults to <code>true</code>.
If set to <code>false</code>, it will skip the local file check and try to load the model from the remote host.</p></td> </tr><tr><td>localModelPath</td><td><code>string</code></td><td><p>Path to load local models from. Defaults to <code>/models/</code>.</p></td> </tr><tr><td>useFS</td><td><code>boolean</code></td><td><p>Whether to use the file system to load files. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>useBrowserCache</td><td><code>boolean</code></td><td><p>Whether to use Cache API to cache models. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>useFSCache</td><td><code>boolean</code></td><td><p>Whether to use the file system to cache files. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>cacheDir</td><td><code>string</code></td><td><p>The directory to use for caching files with the file system. By default, it is <code>./.cache</code>.</p></td> </tr><tr><td>useCustomCache</td><td><code>boolean</code></td><td><p>Whether to use a custom cache system (defined by <code>customCache</code>), defaults to <code>false</code>.</p></td> </tr><tr><td>customCache</td><td><code>Object</code></td><td><p>The custom cache to use. Defaults to <code>null</code>. Note: this must be an object which
implements the <code>match</code> and <code>put</code> functions of the Web Cache API. For more information, see <a href="https://developer.mozilla.org/en-US/docs/Web/API/Cache">https://developer.mozilla.org/en-US/docs/Web/API/Cache</a></p></td></tr></tbody>`,ne,de,re,L,ce;return T=new We({}),b=new fe({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBZW52LmFsbG93UmVtb3RlTW9kZWxzJTIwJTNEJTIwZmFsc2UlM0I=",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
env.<span class="hljs-property">allowRemoteModels</span> = <span class="hljs-literal">false</span>;`,wrap:!1}}),g=new fe({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBZW52LmxvY2FsTW9kZWxQYXRoJTIwJTNEJTIwJyUyRnBhdGglMkZ0byUyRmxvY2FsJTJGbW9kZWxzJTJGJyUzQg==",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
env.<span class="hljs-property">localModelPath</span> = <span class="hljs-string">&#x27;/path/to/local/models/&#x27;</span>;`,wrap:!1}}),C=new fe({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBZW52LmNhY2hlRGlyJTIwJTNEJTIwJyUyRnBhdGglMkZ0byUyRmNhY2hlJTJGZGlyZWN0b3J5JTJGJyUzQg==",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
env.<span class="hljs-property">cacheDir</span> = <span class="hljs-string">&#x27;/path/to/cache/directory/&#x27;</span>;`,wrap:!1}}),k=new We({}),{c(){i=l("meta"),D=n(),Z=l("p"),F=n(),w=l("a"),G=n(),p=l("h1"),u=l("a"),j=l("span"),N(T.$$.fragment),he=n(),E=l("span"),E.textContent=ve,z=n(),y=l("p"),y.textContent=we,Y=n(),J=l("p"),J.innerHTML=Te,q=n(),N(b.$$.fragment),O=n(),x=l("p"),x.innerHTML=ye,Q=n(),N(g.$$.fragment),K=n(),$=l("p"),$.innerHTML=Je,V=n(),N(C.$$.fragment),X=n(),ee=l("hr"),te=n(),_=l("a"),oe=n(),h=l("h2"),v=l("a"),H=l("span"),N(k.$$.fragment),me=n(),P=l("span"),P.innerHTML=be,se=n(),M=l("p"),M.textContent=xe,le=n(),W=l("p"),W.innerHTML=ge,ae=n(),I=l("table"),I.innerHTML=$e,ne=n(),de=l("hr"),re=n(),L=l("p"),this.h()},l(e){const o=He("svelte-1phssyn",document.head);i=a(o,"META",{name:!0,content:!0}),o.forEach(t),D=d(e),Z=a(e,"P",{}),c(Z).forEach(t),F=d(e),w=a(e,"A",{id:!0,class:!0}),c(w).forEach(t),G=d(e),p=a(e,"H1",{class:!0});var ie=c(p);u=a(ie,"A",{id:!0,class:!0,href:!0});var Ce=c(u);j=a(Ce,"SPAN",{});var _e=c(j);B(T.$$.fragment,_e),_e.forEach(t),Ce.forEach(t),he=d(ie),E=a(ie,"SPAN",{"data-svelte-h":!0}),m(E)!=="svelte-2grn10"&&(E.textContent=ve),ie.forEach(t),z=d(e),y=a(e,"P",{"data-svelte-h":!0}),m(y)!=="svelte-14jubvb"&&(y.textContent=we),Y=d(e),J=a(e,"P",{"data-svelte-h":!0}),m(J)!=="svelte-ooim1v"&&(J.innerHTML=Te),q=d(e),B(b.$$.fragment,e),O=d(e),x=a(e,"P",{"data-svelte-h":!0}),m(x)!=="svelte-1rbhmcc"&&(x.innerHTML=ye),Q=d(e),B(g.$$.fragment,e),K=d(e),$=a(e,"P",{"data-svelte-h":!0}),m($)!=="svelte-13xd89q"&&($.innerHTML=Je),V=d(e),B(C.$$.fragment,e),X=d(e),ee=a(e,"HR",{}),te=d(e),_=a(e,"A",{id:!0,class:!0}),c(_).forEach(t),oe=d(e),h=a(e,"H2",{class:!0});var pe=c(h);v=a(pe,"A",{id:!0,class:!0,href:!0});var ke=c(v);H=a(ke,"SPAN",{});var Me=c(H);B(k.$$.fragment,Me),Me.forEach(t),ke.forEach(t),me=d(pe),P=a(pe,"SPAN",{"data-svelte-h":!0}),m(P)!=="svelte-1iayrdi"&&(P.innerHTML=be),pe.forEach(t),se=d(e),M=a(e,"P",{"data-svelte-h":!0}),m(M)!=="svelte-k2hmcm"&&(M.textContent=xe),le=d(e),W=a(e,"P",{"data-svelte-h":!0}),m(W)!=="svelte-aq97h0"&&(W.innerHTML=ge),ae=d(e),I=a(e,"TABLE",{"data-svelte-h":!0}),m(I)!=="svelte-1wui4x7"&&(I.innerHTML=$e),ne=d(e),de=a(e,"HR",{}),re=d(e),L=a(e,"P",{}),c(L).forEach(t),this.h()},h(){r(i,"name","hf:doc:metadata"),r(i,"content",JSON.stringify(Ne)),r(w,"id","module_env"),r(w,"class","group"),r(u,"id","env"),r(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(u,"href","#env"),r(p,"class","relative group"),r(_,"id","module_env.env"),r(_,"class","group"),r(v,"id","envenv"),r(v,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(v,"href","#envenv"),r(h,"class","relative group")},m(e,o){f(document.head,i),s(e,D,o),s(e,Z,o),s(e,F,o),s(e,w,o),s(e,G,o),s(e,p,o),f(p,u),f(u,j),S(T,j,null),f(p,he),f(p,E),s(e,z,o),s(e,y,o),s(e,Y,o),s(e,J,o),s(e,q,o),S(b,e,o),s(e,O,o),s(e,x,o),s(e,Q,o),S(g,e,o),s(e,K,o),s(e,$,o),s(e,V,o),S(C,e,o),s(e,X,o),s(e,ee,o),s(e,te,o),s(e,_,o),s(e,oe,o),s(e,h,o),f(h,v),f(v,H),S(k,H,null),f(h,me),f(h,P),s(e,se,o),s(e,M,o),s(e,le,o),s(e,W,o),s(e,ae,o),s(e,I,o),s(e,ne,o),s(e,de,o),s(e,re,o),s(e,L,o),ce=!0},p:Ee,i(e){ce||(U(T.$$.fragment,e),U(b.$$.fragment,e),U(g.$$.fragment,e),U(C.$$.fragment,e),U(k.$$.fragment,e),ce=!0)},o(e){A(T.$$.fragment,e),A(b.$$.fragment,e),A(g.$$.fragment,e),A(C.$$.fragment,e),A(k.$$.fragment,e),ce=!1},d(e){e&&(t(D),t(Z),t(F),t(w),t(G),t(p),t(z),t(y),t(Y),t(J),t(q),t(O),t(x),t(Q),t(K),t($),t(V),t(X),t(ee),t(te),t(_),t(oe),t(h),t(se),t(M),t(le),t(W),t(ae),t(I),t(ne),t(de),t(re),t(L)),t(i),R(T),R(b,e),R(g,e),R(C,e),R(k)}}}const Ne={local:"env",sections:[{local:"envenv",title:"`env.env`"}],title:"env"};function Be(ue){return Pe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class De extends Ze{constructor(i){super(),je(this,i,Be,Le,Ie,{})}}export{De as component};
